OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
DemandHandler Class Reference

Stateless, thread safe demand hander. More...

`#include <demands.h>`

Inheritance diagram for DemandHandler:

## Public Member Functions
virtual void | Run (LinkGraphJob &job) const
| Call the demand calculator on the given component.
virtual | ~DemandHandler ()
| Virtual destructor has to be defined because of virtual Run().
Public Member Functions inherited from ComponentHandler
virtual | ~ComponentHandler ()
| Destroy the handler.

## Detailed Description

Stateless, thread safe demand hander.

Doesn't do anything but call DemandCalculator.

Definition at line 28 of file demands.h.

## Member Function Documentation

virtual void DemandHandler::Run | ( | LinkGraphJob & | job | ) | const
| inline virtual

Call the demand calculator on the given component.

Parameters

  graph | Component to calculate the demands for.

Implements ComponentHandler.

Definition at line 35 of file demands.h.

The documentation for this class was generated from the following file:

- src/linkgraph/demands.h